Subject: [Last-Call] Tsvart last call review of draft-ietf-dnsop-no-response-issue-14

From: David Black via Datatracker <[email-masked]>
Date: Tue, 17 Dec 2019 08:48:57 -0800

Reviewer: David Black
Review result: Ready

This document has been reviewed as part of the transport area review team's
ongoing effort to review key IETF documents. These comments were written
primarily for the transport area directors, but are copied to the document's
authors and WG to allow them to address any issues raised and also to the IETF
discussion list for information.

When done at the time of IETF Last Call, the authors should consider this
review as part of the last-call comments they receive. Please always CC
[email-masked] if you reply to or forward this review.

I did not see any transport-related issues that require attention.

Some of the tests described in this draft use multiple DNS queries, but
in all cases, the multiple queries are sequential in that the client performing
the request waits for the response (or lack thereof) to a query before
proceeding to the next query.  With at most one outstanding DNS query
at a time, such tests should not cause congestion problems.